<?php

namespace common\logic\User\UserGroup\Service;

use common\logic\AbstractBuilder;
use common\logic\User\UserGroup\Model\UserGroup;

class UserGroupBuilder extends AbstractBuilder
{
    public function instanciateUserGroup(): UserGroup
    {
        $userGroup = new UserGroup();

        return $userGroup;
    }

    public function createUserGroup(): UserGroup
    {
        $userGroup = $this->instanciateUserGroup();
        $this->saveCreate($userGroup);

        return $userGroup;
    }
}